<div class="w-full flex flex-wrap">
    <div class="w-1/2 flex flex-col">
        <div class="flex flex-col justify-center md:justify-start my-auto pt-8 md:pt-0 px-8 md:px-24 lg:px-32">
            <p class="text-center text-3xl">NgXS + Tailwind CSS 🌊</p>
            <form [formGroup]="loginForm" class="flex flex-col pt-3 md:pt-8" (ngSubmit)="onLoginFormSubmit()">
                <div class="flex flex-col pt-4">
                    <label for="email" class="text-lg">Username</label>
                    <input type="email" id="email" placeholder="your@email.com" formControlName="username"
                        class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 mt-1 leading-tight focus:outline-none focus:shadow-outline">
                    <div *ngIf="loginForm.invalid && (loginForm.dirty || loginForm.touched)">
                        <div class="text-sm text-rose-400 mt-1">
                            <span *ngIf="usernameControl.errors?.['required']">
                                Username is required
                            </span>
                        </div>
                    </div>
                </div>
                <div class="flex flex-col pt-4">
                    <label for="password" class="text-lg">Password</label>
                    <input type="password" id="password" placeholder="Password" formControlName="password"
                        class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 mt-1 leading-tight focus:outline-none focus:shadow-outline">
                    <div *ngIf="passwordControl.invalid && loginForm.dirty">
                        <div class="text-sm text-rose-400 mt-1">
                            <span *ngIf="passwordControl.errors?.['required']">
                                Password is required
                            </span>
                        </div>
                    </div>
                </div>
                <input type="submit" [disabled]="loginForm.invalid && loginForm.touched"
                    class="bg-black text-white border rounded font-bold text-lg hover:bg-gray-700 p-2 mt-8 disabled:bg-gray-200 disabled:text-gray-500 disabled:cursor-not-allowed">
            </form>
        </div>
    </div>
    <div class="w-1/2 shadow-2xl">
        <img class="object-cover w-full h-screen hidden md:block" src="https://source.unsplash.com/IXUM4cJynP0">
    </div>
</div>